<? session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 


		
		
	use PHPMailer\PHPMailer\PHPMailer;
	use PHPMailer\PHPMailer\Exception;

/*if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		*/

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
	include ("fphp.php");

	$accion=$_REQUEST["accion"];
	$enlace=cargar_conexion();
	$cedula=str_repeat('0',8-strlen(trim($_REQUEST["cedula"]))).trim($_REQUEST["cedula"]);

	$consulta="select fechai,nombres,nombres1,apellidos,apellidos1,cargo,smes, departamento,nomina, mensaje from personal where codigo='".$cedula."' ";
	$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	$row=mysqli_fetch_array($resultado);
	$tiponomina=$row['nomina'];
	$consulta = "SELECT * from buzon_fondo_ahorro where id='" . $_SESSION['id_validar'] . "' and estado='PENDIENTE' AND CEDULA='".$cedula."' OR (estado='APROBADA' AND periodo ='".$_SESSION['per_validar']."'); ";
	$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	
	
		
		
		/* ////Lo comentarié porque le aparece a cualquier trabajador cuando hay al menos una soliciutud de cualquiere otro empleado en el BuzÃ³n--- Miguelangel 10-04-2023
	if (mysqli_num_rows($resultado) != 0 ){
        $respuesta = mysqli_fetch_array($resultado);
        print '<script language="JavaScript">';
        print 'alert(" Usted tiene una solicitud al Fondo de Ahorros en Proceso,\n para el perÃ­odo: '.$_SESSION['per_validar'].'");';
        print 'window.history.go(-1);';
        print '</script>';


    }*/
	
	menu();
	    
	function accion($enlace){

        $cuotasPagar = $_POST['nomina'] == '200' ? $_POST['meses'] * 2 : $_POST['meses'] * 4;


        // if ($_POST['tipoSolicitud']=='PRESTAMO'){


        //     $insertSolicitud = "INSERT INTO prestamo
        //     (id,tipo,cedula,detalle,fecha,monto,cuota, saldo, total, interes,fondo_ahorro)
        //     VALUES ('".$_SESSION['id_validar']."','D','".$_POST['cedula']."','PRESTAMOS A FONDO AHORROS','".date('Y-m-d')."',".$_POST['solicitado'].",".($_POST['solicitado']/$cuotasPagar).",".$_POST['solicitado'].",".$_POST['solicitado'].",0,'SI')";
        //     $resultado = mysqli_query($enlace,($insertSolicitud)) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));
        
        // }
    

        $insertSolicitud = "INSERT INTO buzon_fondo_ahorro
        (id,cedula,nombres,apellidos, email,ingreso, nomina, periodo, tipo_solicitud, monto, estado, cuotas, nombre_sup, email_sup, ordinario, empresa, voluntario, dividendos, deuda_prestamo)
        VALUES ('".$_SESSION['id_validar']."','".$_POST['cedula']."','".$_POST['nombres']."','".$_POST['apellidos']."','".$_POST['email']."','".$_POST['ingreso']."','".$_POST['nomina'].
		"','".$_POST['periodo']."','".$_POST['tipoSolicitud']."',".number_format($_POST['solicitado'],2, '.', '').",'PENDIENTE',".$cuotasPagar.",'Jose Sanchez','JSANCH32@FORD.COM',".floatval($_POST['ordinario']).",".floatval($_POST['empresa']).
		",".floatval($_POST['voluntario']).",".floatval($_POST['dividendos']).",".floatval($_POST['deuda_prestamo']).");";
        $resultado = mysqli_query($enlace,($insertSolicitud)) or die ("No se pudo realizar la consulta: ".$insertSolicitud.'='.mysqli_error($enlace));


        }
    function email(){
	
		require 'hcm_files/PHPMailer/src/Exception.php';
		require 'hcm_files/PHPMailer/src/PHPMailer.php';
		require 'hcm_files/PHPMailer/src/SMTP.php';

		$mensaje='';
		$asunto='';
		$mensajeHTML='';
		switch ($_POST['tipoSolicitud']) {
			case 'PRESTAMO':
				$asunto = 'Solicitud de PRESTAMO de Fondo de Ahorros - '.$_POST['nombres'].", ".$_POST['apellidos'];
				$mensaje= "Señores:
				Junta Directiva del Fondo de Ahorros de los Trabajadores de Ford Motor de Venezuela, S.A.\n
				Por medio de la presente solicito me sea concedido conforme a lo estatutos y 
				reglamentos del fondo de ahorro un préstamo sobre mis ahorros por la cantidad de: Bs. ".$_POST['solicitado'].",
				dicha cantidad no excede del 80% de mi saldo disponible a la fecha.\n\n
				Saldo Total disponible para préstamo: Bs. ". $_POST['disponiblePrestamo']."\n\n
				Préstamo: Bs. ".$_POST['solicitado']."
				".$_POST['apellidos'].", ".$_POST['nombres']."
				Cédula: ".$_POST['cedula']."
				Departamento: ".$_POST['dpto']." ";
				$mensajeHTML="<div>
				<div>Se&ntilde;ores:</div>
				<div style='padding-left: 30px;'><strong>Junta Directiva del Fondo de Ahorros de los Trabajadores de Ford Motor de Venezuela, S.A.</strong></div>
				<div style='padding-left: 30px;'>&nbsp;</div>
				<div style='padding-left: 30px;'>Por medio de la presente solicito me sea concedido conforme a lo estatutos y&nbsp;reglamentos del fondo de ahorro un pr&eacute;stamo sobre mis ahorros por la cantidad de:<strong> Bs. ".$_POST['solicitado']."</strong>, dicha cantidad no excede del 80% de mi saldo disponible a la fecha.</div>
				<div style='padding-left: 30px;'>&nbsp;</div>
				<div style='padding-left: 30px;'>Saldo Total disponible para pr&eacute;stamo: Bs. <strong>". $_POST['disponiblePrestamo']."</strong></div>
				<div style='padding-left: 30px;'>&nbsp;</div>
				<div style='padding-left: 30px;'>Pr&eacute;stamo: Bs. ".$_POST['solicitado']."</div>
				<div style='padding-left: 30px;'>&nbsp;</div>
				<div style='padding-left: 30px;'>&nbsp;</div>
				<div style='padding-left: 30px;'><strong>".$_POST['apellidos'].", ".$_POST['nombres']."</strong></div>
				<!--<div style='padding-left: 30px;'><strong>C&eacute;dula: ".$_POST['cedula']."</strong></div>-->
				<div style='padding-left: 30px;'><strong>Departamento: ".$_POST['dpto']."</strong></div>
				<div style='padding-left: 60px;'>&nbsp;</div>
				<div style='padding-left: 60px;'>&nbsp;</div>
				<div style='padding-left: 60px; text-align: right;'><strong><img src='https://admin.catalogodesoftware.com/UserFiles/gen_files/multimedia/imagenes/empresa/logo_saireh1.png' alt='N&oacute;mina en la Nube | N&oacute;mina SaaS | N&oacute;mina en Renta | Saireh |' width='159' height='76' /></strong></div>
				</div>";
				break;
			case 'PARCIAL':
				$asunto = 'Solicitud de Retiro Parcial de Fondo de Ahorros - '.$_POST['nombres'].", ".$_POST['apellidos'];
				$mensaje= "\t\t\tSeñores:
				Junta Directiva del Fondo de Ahorros de los Trabajadores de Ford Motor de Venezuela, S.A.\n
				Por medio de la presente solicito me sea concedido conforme a lo estatutos y 
				reglamentos del fondo de ahorro el Retiro Parcial de mis ahorros por la cantidad de: ".$_POST['solicitado'].",
				dicha cantidad no excede del 80% de mi saldo disponible a la fecha.\n\n
				Saldo Total Bs. ". $_POST['disponibleRetiroParcial']."\n\n
				Retiro Parcial: Bs. ".$_POST['solicitado']."
				".$_POST['apellidos'].", ".$_POST['nombres']."
				Cédula: ".$_POST['cedula']."
				Departamento: ".$_POST['dpto']." ";
				$mensajeHTML="<div>
				<div>Se&ntilde;ores:</div>
				<div style='padding-left: 30px;'><strong>Junta Directiva del Fondo de Ahorros de los Trabajadores de Ford Motor de Venezuela, S.A.</strong></div>
				<div style='padding-left: 30px;'>&nbsp;</div>
				<div style='padding-left: 30px;'>Por medio de la presente solicito me sea concedido conforme a lo estatutos y&nbsp;reglamentos del fondo de ahorros el retiro parcial sobre mis ahorros por la cantidad de:<strong> ".$_POST['solicitado']."</strong>, dicha cantidad no excede del 80% de mi saldo disponible a la fecha.</div>
				<div style='padding-left: 30px;'>&nbsp;</div>
				<div style='padding-left: 30px;'>Saldo Total disponible: Bs. <strong>". $_POST['disponibleRetiroParcial']."</strong></div>
				<div style='padding-left: 30px;'>&nbsp;</div>
				<div style='padding-left: 30px;'>Retiro Parcial: Bs. ".$_POST['solicitado']."</div>
				<div style='padding-left: 30px;'>&nbsp;</div>
				<div style='padding-left: 30px;'>&nbsp;</div>
				<div style='padding-left: 30px;'><strong>".$_POST['apellidos'].", ".$_POST['nombres']."</strong></div>
				<!--<div style='padding-left: 30px;'><strong>C&eacute;dula: ".$_POST['cedula']."</strong></div>-->
				<div style='padding-left: 30px;'><strong>Departamento: ".$_POST['dpto']."</strong></div>
				<div style='padding-left: 60px;'>&nbsp;</div>
				<div style='padding-left: 60px;'>&nbsp;</div>
				<div style='padding-left: 60px; text-align: right;'><strong><img src='https://admin.catalogodesoftware.com/UserFiles/gen_files/multimedia/imagenes/empresa/logo_saireh1.png' alt='N&oacute;mina en la Nube | N&oacute;mina SaaS | N&oacute;mina en Renta | Saireh |' width='159' height='76' /></strong></div>
				</div>";
				break;
			case 'RENUNCIA':
				$asunto = 'Solicitud de Egreso de Fondo de Ahorros - '.$_POST['nombres'].", ".$_POST['apellidos'];
				$mensaje= "\t\t\tSeñores:
				Junta Directiva del Fondo de Ahorros de los Trabajadores de Ford Motor de Venezuela, S.A.\n
				Hago del conocimiento de ustedes que he decidido retirarme como participante del Fondo de Ahorros.\n\n\n\n
				".$_POST['apellidos'].", ".$_POST['nombres']."
				Cédula: ".$_POST['cedula']."
				Departamento: ".$_POST['dpto']." ";
				$mensajeHTML="<div>
				<div>Se&ntilde;ores:</div>
				<div style='padding-left: 30px;'><strong>Junta Directiva del Fondo de Ahorros de los Trabajadores de Ford Motor de Venezuela, S.A.</strong></div>
				<div style='padding-left: 30px;'>&nbsp;</div>
				<div style='padding-left: 30px;'>Hago del conocimiento de ustedes que he decidido retirarme como participante del Fondo de Ahorros.</div>
				<div style='padding-left: 30px;'>&nbsp;</div>
				<div style='padding-left: 30px;'>&nbsp;</div>
				<div style='padding-left: 30px;'>&nbsp;</div>
				<div style='padding-left: 30px;'><strong>".$_POST['apellidos'].", ".$_POST['nombres']."</strong></div>
				<!--<div style='padding-left: 30px;'><strong>C&eacute;dula: ".$_POST['cedula']."</strong></div>-->
				<div style='padding-left: 30px;'><strong>Departamento: ".$_POST['dpto']."</strong></div>
				<div style='padding-left: 60px;'>&nbsp;</div>
				<div style='padding-left: 60px;'>&nbsp;</div>
				<div style='padding-left: 60px; text-align: right;'><strong><img src='https://admin.catalogodesoftware.com/UserFiles/gen_files/multimedia/imagenes/empresa/logo_saireh1.png' alt='N&oacute;mina en la Nube | N&oacute;mina SaaS | N&oacute;mina en Renta | Saireh |' width='159' height='76' /></strong></div>
				</div>";
				break;			

		}	

       // $destinatario = "GSAYAGO1@FORD.COM, NOMINA.FORD@SAIREH.COM, ".$_POST['email'];
		try {
			$mail = new PHPMailer(true);
			
			
			 //Servidor de correo configuracion
			 //$mail->SMTPDebug = 2; //Enable verbose debug output
			 $mail->isSMTP(); // Set mailer to use SMTP
			 $mail->Host = 'ssl://www.saireh-nomina.com'; // Specify main and backup SMTP servers
			 $mail->SMTPAuth = true; // Enable SMTP authentication
			 $mail->Username = 'info@saireh-nomina.com'; // SMTP username
			 $mail->Password = 'c0n5ul74rh3'; // SMTP password
			 $mail->SMTPSecure = 'tls'; // Enable TLS encryption, [ICODE]ssl[/ICODE] also accepted
			 $mail->Port = 465; // TCP port to connect to
			
			//Recipients
			 $mail->setFrom('info@saireh-nomina.com', 'Saireh Nomina Ford');
			 //$mail->addAddress('GSAYAGO1@FORD.COM'); ///Aqui va el correo del aprobador del Fondo Ahorros
			 $mail->addAddress('JSANCH32@FORD.COM'); ///Aqui va el correo del OTRO aprobador del Fondo Ahorros
			 $mail->addAddress($_POST['email']); 
			 $mail->addCC('NOMINA.FORD@SAIREH.COM');
			 $mail->addCC('GCURBELO@FORD.COM');
			 $mail->addCC('BSALAZA3@FORD.COM');
			// Content
			 $mail->isHTML(true); // Set email format to HTML
			 $mail->Subject = $asunto;
			 $mail->Body = $mensajeHTML;
			 $mail->AltBody = $mensaje;
			
			$mail->send();
			
			
		} catch (Exception $e) {
			  return 1;
		}
		return 0;
    }


	    
	if ($_POST['grabar'] == '1') {

        if ( is_numeric($_POST['tipoSolicitud']) 
                || (!is_numeric($_POST['solicitado']) && ($_POST['tipoSolicitud'] !='RENUNCIA'))
                || ($_POST['tipoSolicitud']=='PRESTAMO' && ($_POST['meses']< 6 || $_POST['meses']>48 || !is_numeric($_POST['meses']))) 
                ){

            print '<script language="JavaScript">';
            print 'alert(" Por favor, verifique los datos ingresados: Tipo de Solicitud  no puede ser vacío, Monto solicitado  no puede ser mayor a: '.$_POST['disponiblePrestamo'].', ni menor a 0 , Número de meses debe estar entre 6 y 48");';
            print 'window.history.go(-2);';
            print '</script>';
            exit();

        }

        if ($_POST['tipoSolicitud']=='PRESTAMO' &&
            ( $_POST['disponiblePrestamo'] <= 0 || $_POST['solicitado'] > $_POST['disponiblePrestamo']) ){

            print '<script language="JavaScript">';
            print 'alert("Monto solicitado para prestamo superior al Disponible!!");';
            print 'window.history.go(-2);';
            print '</script>';
            exit();
            

        }
        if ($_POST['tipoSolicitud']=='PARCIAL'){
			///// agregar condicion para que no peuda solcitare retiro parcial en menos de 12 meses desde el anterior
            $porcentaje = $_POST['disponibleRetiroParcial'];

           //if ($porcentaje < 0.1 || ( $_POST['solicitado'] > ($_POST['maximo'] * 0.80)) ){
            if ($_POST['solicitado'] < ($_POST['disponibleRetiroParcial'] * 0.1) || $_POST['solicitado'] > ($_POST['disponibleRetiroParcial'])){

                print '<script language="JavaScript">';
                print 'alert(" El monto debe ser entre el 10% ('.number_format($_POST['disponibleRetiroParcial'] * 0.10,2).') y 80% ('.number_format($_POST['disponibleRetiroParcial'],2).') del disponible, para Retiro Parcial.");';
                print 'window.history.go(-2);';
                print '</script>';
                exit();
            }
            
        }
        if ($_POST['tipoSolicitud']=='RENUNCIA'  ){

			$_POST['solicitado'] = $_POST['disponibleRenuncia'];
        }

           accion($enlace);

            if (!email()){
			
				print '<script language="JavaScript">';
				print 'alert(" Su solicitud ha sido registrada exitosamente, en breves instantes recibira un correo. ");';
				print 'window.history.go(-2);';
				print '</script>';
				exit();
			}
			else {
				print '<script language="JavaScript">';
				print 'alert(" Su solicitud ha sido registrada exitosamente");';
				print 'window.history.go(-2);';
				print '</script>';
				exit();
			}
        
    }
	echo "<html><head>
		<title>[ SAIREH ]</title>
	<script language='javascript' src='fscript.js'></script>
		<link rel='stylesheet' type='text/css' href='styles.css' />
		<link rel='shortcut icon' type='image/x-icon' href='images/favicon.ico'>

		<link href='css-mag/bootstrap.css' rel='stylesheet' type='text/css' />
		<link href='css-mag/style.css' rel='stylesheet' type='text/css' />
		<link href='css-mag/slider.css' rel='stylesheet' type='text/css' media='all'/>
<link href='css-mag/nav.css' rel='stylesheet' type='text/css' media='all'/>
<link href='http://fonts.googleapis.com/css?family=Open+Sans:300,400,500,600,700,800,900' rel='stylesheet' type='text/css'>
<link href='http://fonts.googleapis.com/css?family=Open+Sans+Condensed:300:700' rel='stylesheet' type='text/css'>
</head>
		<body>";
	echo " <div id='loginBox'>
					<form id='loginForm'>
						<div class='search_box'>
							<input type='text' value='Search' onfocus='this.value = '';' onblur='if (this.value == '') {this.value = 'Search';}'>
							<input type='submit' value=''>
						</div>
					</form>
				</div>
				</div>
			</div>
			</div>
			<div class='clearfix'></div>
		</div>
		</div>
	</div>

	<div class='header_bottom'>";
	echo "<form name = 'fentrada' action = '" . $_SERVER['PHP_SELF'] . "' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'grabar' value = '1'>";
	echo "<div class='container'>
			
				
				<br>";


	echo "<center><h3>INFORME DE SALDOS DETALLADOS DEL FONDO DE AHORROS</h3></center>";
	
	echo "<center><img src='img2/administrator.png'><font color=black size=5>&nbsp;".trim($row['nombres'])." ".trim($row['nombres1']).' '.trim($row['apellidos'])." ".trim($row['apellidos1'])."</font></center><br>";
	
	// ------ Variables para insertar
	echo "<input type = 'hidden' name = 'nombres'  value = '".trim($row['nombres'])." ".trim($row['nombres1']). "'>";
    echo "<input type = 'hidden' name = 'apellidos'  value = '".trim($row['apellidos'])." ".trim($row['apellidos1'])."'>";

     if ($_SESSION['email_validar'] !=''){
		echo "<input type = 'hidden' name = 'email'  value = '".$_SESSION['email_validar']."'>";
		}else echo "<input type = 'hidden' name = 'email'  value = '".$row['mensaje']."'>";

	echo "<input type = 'hidden' name = 'ingreso'  value = '".$row['fechai']."'>";
    echo "<input type = 'hidden' name = 'nomina'  value = '".$row['nomina']."'>";
    echo "<input type = 'hidden' name = 'periodo'  value = '".$_SESSION['per_validar']."'>";
    echo "<input type = 'hidden' name = 'cedula'  value = '".$cedula."'>";

	//--------MOSTRAR DATOS PERSONALES
		//================== buscar cargo
	$consultaf="select detalle from tablas where tabla='CARGO' and codigo='".$row['cargo']."'  and id='".$_SESSION['id_validar']."'";
	$resultadof = mysqli_query($enlace,$consultaf) or die($consultaf . mysqli_error($enlace));
	$rowf=mysqli_fetch_array($resultadof);
	$car=$rowf['detalle'];

	//================== buscar departamento
	$consultaf="select detalle from tablas where tabla='DEPARTAMENTO' and codigo='".$row['departamento']."'  and id='".$_SESSION['id_validar']."'";
	$resultadof = mysqli_query($enlace,$consultaf) or die($consultaf . mysqli_error($enlace));
	$rowf=mysqli_fetch_array($resultadof);
	$dep=$rowf['detalle'];


	//============ Consultar saldos de Fondo Ahorros
	$consultaT="select SUM(aporte_ordinario) AS aporte_ordinario, SUM(pago_ordinario) AS pago_ordinario, SUM(aporte_voluntario) AS aporte_voluntario, SUM(pago_voluntario) AS pago_voluntario, SUM(aporte_empresa) AS aporte_empresa, SUM(pago_aporte_empresa) AS pago_aporte_empresa, SUM(dividendos) AS dividendos, SUM(pago_dividendos) AS pago_dividendos, SUM(reserva) AS reserva from  fondo_ahorros where cedula='".$_REQUEST['cedula']."' and id='".$_SESSION['id_validar']."' order by periodo";
	$resultadoT = mysqli_query($enlace,$consultaT) or die($consultaT . mysqli_error($enlace));
	$rowT=mysqli_fetch_array($resultadoT);
	$aporteOrd = $rowT['aporte_ordinario'];
	$pagadoOrd = $rowT['pago_ordinario'];
	$saldoOrd = $aporteOrd - $pagadoOrd ;
	
	$aporteVol  = $rowT['aporte_voluntario'] ;
	$pagadoVol  = $rowT['pago_voluntario'] ;
	$saldoVol = $aporteVol - $pagadoVol ;
	
	$aporteEmpr  = $rowT['aporte_empresa'] ;
	$pagadoEmp  = $rowT['pago_aporte_empresa'] ;
	$saldoEmp = $aporteEmpr - $pagadoEmp ;
	
	$totalDivid  = $rowT['dividendos'] ;
	$pagadoDiv  = $rowT['pago_dividendos'] ;
	$saldoDiv = $totalDivid - $pagadoDiv ;
	
	$reservaFa  = $rowT['reserva'] ;

	$total_acumulado_fondo = $saldoOrd + $saldoVol + $saldoEmp + $saldoDiv ;
	
	
	////Consulta saldo de prestamo
	$consultaP="select * from  prestamo where cedula='".$_REQUEST['cedula']."' AND fondo_ahorro='SI' AND saldo > '0' and id='".$_SESSION['id_validar']."' ";
	$resultadoP = mysqli_query($enlace,$consultaP) or die($consultaP . mysqli_error($enlace));

	if (mysqli_num_rows($resultadoP)){

		$rowP=mysqli_fetch_array($resultadoP);
		$SaldoPrestamo = $rowP['saldo'];
		$fechaPrestamo = $rowP['fecha'];
		$saldoInicial = $rowP['monto'];
		$valorCuota = $rowP['cuota'];
		$saldoInicialPrestamo = $saldoInicial;
		$saldoActualPrestamo = $SaldoPrestamo;
		$totalPagadoPrestamo = $saldoInicial - $SaldoPrestamo ;
		$pagadoPrestamo = $saldoInicialPrestamo - $saldoActualPrestamo ;
		$porcentPagadoPrestamo = $pagadoPrestamo / $saldoInicialPrestamo * 100 ;
		$porcentPagadoPrestamo = number_format($porcentPagadoPrestamo,2) ;

	} else{
		$SaldoPrestamo = 0;
		$saldoInicial = 0;
		$porcentPagadoPrestamo = 100;
	}
	
	$disponibleRetiroParcial = (( $saldoOrd + $saldoVol + $saldoEmp + $saldoDiv )-$SaldoPrestamo)*0.80  ;
	
	////Consulta Datos del Ultimo retiro 
	$consultaUltRet="select fecha_hasta from fondo_ahorros  where cedula='".$_REQUEST['cedula']."' AND pago_ordinario!='0' and id='".$_SESSION['id_validar']."' order BY fecha_hasta DESC limit 1 ";
	$resultadoUltRet = mysqli_query($enlace,$consultaUltRet) or die($consultaUltRet . mysqli_error($enlace));

	if (mysqli_num_rows($resultadoUltRet)){/////Si tiene ya un Retiro Parcial
		$rowU=mysqli_fetch_array($resultadoUltRet);
	$fechaUltRet = $rowU['fecha_hasta'];
	
	///Calculo el tiempo transcurrido desde el ultimo retiro parcial
	$fechaActual = date('Y-m-d'); 
	$datetime1 = date_create($fechaUltRet);
	$datetime2 = date_create($fechaActual);
	$contador = date_diff($datetime1, $datetime2);
	$differenceFormat = '%a';
	$tiempoDias = $contador->format($differenceFormat);
	$tiempoMeses = $tiempoDias / 30 ;
	$tiempoMeses = number_format($tiempoMeses,2);
	
	if($tiempoMeses >=12){////Si han pasado 12 meses o más desde el ultimo retiro parcial
		$disponibleRetiroParcial = number_format($disponibleRetiroParcial,2) ;
		
	}else $disponibleRetiroParcial = 0 ; ////Si no han apsado 12 meses desde el último retiro parcial entonces no tiene disponible apra retiro parcial
	
	}else {///No ha tenido nunca un retiro parcial
		$disponibleRetiroParcial = number_format($disponibleRetiroParcial,2) ;
	}
	
	
  
	$disponiblePrestamo = ( $saldoOrd + $saldoVol + $saldoEmp + $saldoDiv )*0.80  ;
	$disponiblePrestamo = number_format($disponiblePrestamo,2) ;
	$disponiblePrestamo = (($porcentPagadoPrestamo >= 50) ? $disponiblePrestamo : 0 ) ;
	
	$disponibleRenuncia = $saldoOrd + $saldoVol + $saldoEmp + $saldoDiv - $SaldoPrestamo ;
	$disponibleRenuncia = number_format($disponibleRenuncia,2) ;
	//================== saldos
	echo "<input type = 'hidden' name = 'ordinario'  value = '".$saldoOrd."'>";
    echo "<input type = 'hidden' name = 'empresa'  value = '".$saldoEmp."'>";
    echo "<input type = 'hidden' name = 'voluntario'  value = '".$saldoVol."'>";
    echo "<input type = 'hidden' name = 'dividendos'  value = '".$saldoDiv."'>";
    echo "<input type = 'hidden' name = 'deuda_prestamo'  value = '".$SaldoPrestamo."'>";
	echo "<input type = 'hidden' name = 'dpto'  value = '".$dep."'>";
	
	//================== mostrar datos personales
	
	echo "<table class='default'  border=1>";
	  echo "<tr>";
		echo "<table class='default' align=center >";
		
			echo "<tr>";
				echo "<td colspan=4 align=center bgcolor='#43bced'><H4> DATOS DEL TRABAJADOR </H4>";
			echo "</tr>";

			echo "<tr>";

				echo "<td   width=400> <b>Nombres: </b>".trim($row['nombres'])." ".trim($row['nombres1'])." ".trim($row['apellidos'])." ".trim($row['apellidos1'])."</td>";

				echo "<td   width=200> <b>C&eacute;dula: </b>".$cedula."</td>";

			echo "</tr>";
			
			echo "<tr>";

				echo "<td   width=400> <b>Cargo: </b>".$car."</td>";

				echo "<td   width=400> <b>Departamento: </b>".$dep."</td>";

			echo "</tr>";
			
			echo "<tr>";

				echo "<td   width=400> <b>Sueldo Básico (Bs): </b>".number_format($row['smes'],2)."</td>";

				echo "<td   width=400> <b>Fecha de Ingreso: </b>".mostrar_fecha($row['fechai'])."</td>";

			echo "</tr>";
			
			echo "<tr>";

			$correo = ($_SESSION['email_validar'] != '' ? $_SESSION['email_validar'] : $row['mensaje']) ;

				echo "<td   width=400> <b>email: </b>".$correo."</td>";

				echo "<td   width=400> </td>";

			echo "</tr>";
			


		echo "</table><br>";
		echo "</tr>";
	echo "</TABLE><br>";
	
	echo "<table class='default' align=center border='1' >";
	
		echo "<tr>";
			echo "<td colspan=6 align=center bgcolor='#D5D9DD'><H4> SALDOS FONDO AHORROS </H4>";
		echo "</tr>";

		echo "<tr>";

			echo "<td   bgcolor='#D5D9DD' width=200 align=right> <b>Total Aporte Ordinario: </b></td>";
			echo "<td   width=100 align=left> ".$aporteOrd." Bs</td>";

			echo "<td   bgcolor='#D5D9DD' width=200 align=right> <b>- Pagado Aporte Ordinario: </b></td>";
			echo "<td   width=100 align=left> <font color='red'>".$pagadoOrd." Bs</td>";
			
			echo "<td   bgcolor='#D5D9DD' width=200 align=right> <b>= Saldo Aporte Ordinario: </b></td>";
			echo "<td   width=100 bgcolor='#a5f0ff' align=left> <b>".$saldoOrd." Bs</b></td>";

		echo "</tr>";
		
		echo "<tr>";

			echo "<td   bgcolor='#D5D9DD' width=200 align=right > <b>Total Aporte Voluntario: </b></td>";
			echo "<td   width=100 align=left> ".$aporteVol." Bs</td>";

			echo "<td   bgcolor='#D5D9DD' width=200 align=right > <b>- Pagado Aporte Volunt.: </b></td>";
			echo "<td   width=100 align=left> <font color='red' align=right>".$pagadoVol." Bs</td>";
			
			echo "<td   bgcolor='#D5D9DD' width=200 align=right > <b>= Saldo Aporte Voluntario: </b></td>";
			echo "<td   width=100 bgcolor='#a5f0ff' align=left> <b>".$saldoVol." Bs</b></td>";

		echo "</tr>";
		
		echo "<tr>";

			echo "<td   bgcolor='#D5D9DD' width=200 align=right > <b>Total Aporte Empresa: </b></td>";
			echo "<td   width=100 align=left> ".$aporteEmpr." Bs</td>";

			echo "<td   bgcolor='#D5D9DD' width=200 align=right > <b>- Pagado Aporte Empresa: </b></td>";
			echo "<td   width=100 align=left> <font color='red' align=right>".$pagadoEmp." Bs</td>";
			
			echo "<td   bgcolor='#D5D9DD' width=200 align=right > <b>= Saldo Aporte Empresa: </b></td>";
			echo "<td   width=100 bgcolor='#a5f0ff' align=left> <b>".$saldoEmp." Bs</b></td>";

		echo "</tr>";
		
		echo "<tr>";

			echo "<td   bgcolor='#D5D9DD' width=200 align=right > <b>Total Dividendos: </b></td>";
			echo "<td   width=100 align=left> ".$totalDivid." Bs</td>";

			echo "<td   bgcolor='#D5D9DD' width=200 align=right > <b>- Pagado Dividendos: </b></td>";
			echo "<td   width=100 align=left> <font color='red'>".$pagadoDiv." Bs</td>";
			
			echo "<td   bgcolor='#D5D9DD' width=200 align=right > <b>= Saldo Dividendos: </b></td>";
			echo "<td   width=100 bgcolor='#a5f0ff' align=left> <b>".$saldoDiv." Bs</b></td>";

		echo "</tr>";

		echo "<tr>";

			echo "<td> </td>";
			echo "<td> </td>";

			echo "<td> </td>";
			echo "<td> </td>";
			
			echo "<td   bgcolor='#D5D9DD' width=200 align=right > <b> (1)-->TOTAL ACUMUL FA: </b></td>";
			echo "<td   width=100 bgcolor='#a5f0ff' align=left> <b>".$total_acumulado_fondo." Bs</b></td>";

		echo "</tr>";
		echo "<tr>";

			echo "<td> </td>";
			echo "<td> </td>";
			
			echo "<td> </td>";
			echo "<td> </td>";
			
			echo "<td   bgcolor='#D5D9DD' width=200 align=right > <b>Reserva: </b></td>";
			echo "<td   width=100 align=left> <b>".$reservaFa." Bs</b></td>";

		echo "</tr>";
		
		echo "</table><br>";
		
		
		echo "<table class='default' align=center border='1' >";
		
		echo "<tr>";
			echo "<td colspan=6 align='center'><h4>Datos de Préstamo Activo <h4> </td>";
		echo "</tr>";
		
		echo "<tr>";
		
			echo "<td align=right >Fecha del último préstamo: </td>";
			echo "<td>".$fechaPrestamo." </td>";
			
			echo "<td align=right >Saldo Inicial Prestado: </td>";
			echo "<td>".$saldoInicial." Bs </td>";

			echo "<td align=right > Valor x cuota: </td>";
			echo "<td>".$valorCuota." Bs </td>";


		echo "</tr>";
		
		echo "<tr>";
		
			
			echo "<td align=right >Total pagado al :".$fechaActual." </td>";
			echo "<td>".$totalPagadoPrestamo." Bs </td>";

			echo "<td align=right > % pagado de préstamo: </td>";
			echo "<td>".($saldoInicial ? $porcentPagadoPrestamo: 0)." % </td>";
			
			echo "<td   bgcolor='#D5D9DD' width=200 align=right > <b>(2)-->Saldo de Préstamo: </b></td>";
			echo "<td   width=100 align=left> <b>".$SaldoPrestamo." Bs</b></td>";

		echo "</tr>";
		
		echo "</table><br>";
		
		echo "<table class='default' align=center border='1' >";
		
		echo "<tr>";
			echo "<td colspan=6 align='center'><h4> Ultimo Retiro Parcial <h4> </td>";
		echo "</tr>";
		
		echo "<tr>";
		
			echo "<td colspan=6 align=right >Fecha del último Retiro Parcial: ".$fechaUltRet." </td>";
			
		echo "</tr>";
		
		echo "</table><br>";
		
		
		echo "<table class='default' align=center border='1' >";
		echo "<tr>";
			echo "<td colspan=6 align='center'><h4> Saldo Disponible <h4> </td>";
		echo "</tr>";
		
		
		echo "<tr>";
		
			echo "<td   bgcolor='#D5D9DD' width=200 align=right > <b>Retiro parcial: </b></td>";
			echo "<td   width=100 align=center> <b>".$disponibleRetiroParcial." Bs</b></td>";
		
			echo "<td   bgcolor='#D5D9DD' width=200 align=right> <b>Préstamo: </b></td>";
			echo "<td   width=100 align=center> <b>".$disponiblePrestamo." Bs</b></td>";

			echo "<td   bgcolor='#D5D9DD' width=200 align=right title='TOTAL ACUMUL FA - Saldo de Préstamo' > <b>(1)-(2)-->=Renuncia FA: </b></td>";
			echo "<td   width=100 align=center title='TOTAL ACUMUL FA - Saldo de Préstamo' > <b>".$disponibleRenuncia." Bs</b></td>";

		echo "</tr>";
		
		echo "</tr>";
		
		echo "<tr>";
			echo "<td colspan=6 align='left' bgcolor=yellow>&#9888; Los saldos arriba descritos no son totalizables entre ellos, dependen del tipo de proceso pero provienen de un mismo total.</td>";
		echo "</tr>";
		


	echo "</table><br>";


	

	
	/*
	//echo "<font face=verdana>";
	echo "<table cellpadding=5 cellspacing=5 align=center>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;' width=250> C&eacute;dula de Identidad:</td><td width=250>".$cedula."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Nombres del Trabajador:</td><td>".trim($row['nombres'])." ".trim($row['nombres1'])."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Apellidos del Trabajador:</td><td>".trim($row['apellidos'])." ".trim($row['apellidos1'])."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Fecha de Ingreso:</td><td>".mostrar_fecha($row['fechai'])."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Ult. Sueldo Mensual:</td><td>".number_format($row['smes'],2)."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Cargo del Trabajador:</td><td>".$car."</td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td bgcolor='#D5D9DD' style='font-weight:600;'> Departamento de Trabajo:</td><td>".$dep."</td>";
	echo "</tr>";
	echo "</table><br>";
	echo "</font>";
	*/
	$hidden = 'hidden';
	$cadena = "<tr><td align = 'right' ><font color=green>";

	if ($disponiblePrestamo >0) {
		$tipoSolicitud['PRESTAMO']= ' Préstamo ';
		$cadena = $cadena."<b>Número de Meses: </b> ";
		$hidden = 'text';
	}

    $cadena = $cadena."</td>";
	$tipoSolicitud['PARCIAL']= 'Retiro Parcial ';
	$tipoSolicitud['RENUNCIA']= 'Retiro Total ';
       
    echo "<table width = '261' align ='center' border='0' cellspacing='0'>";
        
        echo "<tr><td align = 'right' ><b>              Tipo de Solicitud: </b></td>";
            echo "<td align = 'left' ><select name = 'tipoSolicitud' onchange='onSelectChange()' id='tipoSolicitud'> <option value='0'> Opción </option>";
            foreach ( $tipoSolicitud as $clave => $valor) {
            echo "<option value=".$clave.">".$valor."</option>";
            }
			echo "<td align = 'left' > <input type = 'hidden' name = 'disponibleRetiroParcial'  value = '" . str_replace(',', '', $disponibleRetiroParcial). "'></td>";
			echo "<td align = 'left' > <input type = 'hidden' name = 'disponibleRenuncia'  value = '" . str_replace(',', '', $disponibleRenuncia). "'></td>";   
            echo "</select></td></tr>";
        echo "<tr id='montoSolicitar' class='hidden'><td align = 'right' ><font color=green> <b>Monto a Solicitar: </b></td>";
            echo "<td align = 'left' > <input type = 'text' name = 'solicitado' size = '10' maxlength = '10' value = '0' ></td>";
            
        echo "</tr>";
        echo "<tr id='cuotas' class='hidden'><td align = 'right' ><font color=green> <b>Número de Meses (Entre 6 y 48): </b></td>";
            echo "<td align = 'left' > <input type = 'text' name = 'meses' size = '10' maxlength = '2' value = '0'></td>"; 
            echo "<td align = 'left' > <input type = 'hidden' name = 'disponiblePrestamo'  value = '" . str_replace(',', '', $disponiblePrestamo). "'></td>";         
        echo "</tr>";
   
        echo "<tr><td align = 'right' > </td>";
        echo "<td align = 'left'>";
        echo "<input type = 'submit' class='boton' value = 'Solicitar'>";
        echo "</td></tr>";
       
    echo "</table>"; 
    echo "<br>";






	//============ mostrar informe
	$consultaI="select * from  fondo_ahorros where cedula='".$_REQUEST['cedula']."' order by periodo";
	$resultadoI = mysqli_query($enlace,$consultaI) or die($consultaI . mysqli_error($enlace));


	$contadorA = 0 ;
    $num_rows = mysqli_num_rows($resultadoI);
    echo "<table border=0 cellpadding=2 cellspacing=0 align='center'>";
			echo "<tr bgcolor='#43BCED' >";
				echo "<th align = left width='150'><font color='black'> Fecha de Abono </font></th>";
				echo "<th align = left width='100'><font color='black'> Aporte Ord.(+) </font></th>";
				echo "<th align = left width='100'><font color='black'> Devol Apo. Ord.(-). </font></th>";
				echo "<th align = left width='100'><font color='black'> Acum. Ord.(=). </font></th>";
				echo "<th align = left width='100'><font color='black'> Aporte Volun.(+) </font></th>";
				echo "<th align = left width='100'><font color='black'> Devol Apo. Vol.(-) </font></th>";
				echo "<th align = right width='100'><font color='black'> Acum. Volun.(=) </font></th>";
				echo "<th align = right width='100'><font color='black'> Aporte Empresa (+)</font></th>";
				echo "<th align = right width='100'><font color='black'> Pago Apo. Empr.(-)</font></th>";
				echo "<th align = right width='100'><font color='black'> Acum. Ap. Empr.(=)</font></th>";
				echo "<th align = right width='100'><font color='black'> Dividendos (+)</font></th>";
				echo "<th align = right width='100'><font color='black'> Pago Divid. (-)</font></th>";
				echo "<th align = right width='100'><font color='black'> Acum. Divid.(=) </font></th>";
				echo "<th align = right width='100'><font color='black'> Acum. Reserva 10% </font></th>";
				echo "<th align = right width='100'><font color='black'> Acumulado total FA</font></th>";
			echo "</tr>";

    if ($num_rows != 0){
			$acumTotalFA = 0;
			for ($cont=0;$cont<$num_rows;$cont++) {
				$rowI=mysqli_fetch_array($resultadoI);

				$contadorA = $rowI['aporte_ordinario'] - $rowI['pago_ordinario'] + $contadorA;
				$contadorV = $rowI['aporte_voluntario'] - $rowI['pago_voluntario'] + $contadorV;
				$contadorE = $rowI['aporte_empresa'] - $rowI['pago_aporte_empresa'] + $contadorE;
				$contadorD = $rowI['dividendos'] - $rowI['pago_dividendos'] + $contadorD;
				$reserva = $rowI['reserva'];
				$contadorR = $rowI['reserva'] + $contadorR;
				$saldoFondoAhorros = $contadorA + $contadorV + $contadorE + $contadorD + $contadorR ;

				$acumTotalFA = $saldoFondoAhorros;
				$disponibleFa = $contadorA + $contadorV + $contadorE + $contadorD;
				$contadorDias = $rowI['dias_pagar'] + $contadorDias;
				 echo "<tr bgcolor='white' >";
					echo "<th align=right><font color='#000'>".$rowI['fecha_hasta']."</font></th>";


					echo "<th align = left><font color='blue'>".number_format($rowI['aporte_ordinario'],2,',','.')."</font></th>";
					echo "<th align = left><font color='red'>".number_format($rowI['pago_ordinario'],2,',','.')."</font></th>";
					echo "<th align = left bgcolor='#a5f0ff'><font color='#000'>".number_format($contadorA,2,',','.') ."</font></th>";


					echo "<th align = left><font color='blue'>".number_format($rowI['aporte_voluntario'],2,',','.') ."</font></th>";
						echo "<th align = left><font color='red'>".number_format($rowI['pago_voluntario'],2,',','.') ."</font></th>";
					echo "<th align = left bgcolor='#a5f0ff'><font color='#000'>".number_format($contadorV,2,',','.') ."</font></th>";



					echo "<th align = left><font color='blue'>".number_format($rowI['aporte_empresa'],2,',','.') ."</font></th>";
					echo "<th align = left><font color='red'>".number_format($rowI['pago_aporte_empresa'],2,',','.') ."</font></th>";
					echo "<th align = left bgcolor='#a5f0ff'><font color='#000'>".number_format($contadorE,2,',','.') ."</font></th>";



					echo "<th align = left><font color='blue'>".number_format($rowI['dividendos'],2,',','.') ."</font></th>";
					echo "<th align = left><font color='red'>".number_format($rowI['pago_dividendos'],2,',','.') ."</font></th>";
					echo "<th align = left bgcolor='#a5f0ff'><font color='#000'>".number_format($contadorD,2,',','.') ."</font></th>";



					echo "<th align = left><font color='blue'>".number_format($contadorR,2,',','.') ."</font></th>";
					echo "<th align = left bgcolor='#a5f0ff'><font color='#000'>".number_format($saldoFondoAhorros,2,',','.')."</font></th>";
				echo "</tr>";
			}
			echo '</table>';

			echo "<br>";
			echo "<table border=0 cellpadding=2 cellspacing=0 align='right'>";
				echo "<tr>";
					echo "<th align = 'right' style='text-align: right'><font color='#000'> Saldo Prestamo: ".number_format($SaldoPrestamo,2,',','.')."</font></th>";
				echo "</tr>";
				echo "<tr>";
					echo "<th align = 'right' style='text-align: right'><font color='#000'> Saldo Total: ".number_format($acumTotalFA - $SaldoPrestamo,2,',','.')."</font></th>";
				echo "</tr>";

				echo "<tr>";
					echo "<th align = 'right' style='text-align: right'><font color='#000'> Saldo Disponible = 80%Acum - prestamo - reserva: ".number_format($disponibleFa*0.8 - $SaldoPrestamo,2,',','.')."</font></th>";

				echo "</tr>";
				
				//echo"<center><input type='button' name='imprimir' value='Imprimir P&aacute;gina' onclick='window.print();'></center>";
				echo "<center><input type='button' name='imprimir' value='Imprimir P&aacute;gina' onclick='window.print();' 
				style='background-color:#43bced; color:white;
				padding:8px 16px;
				border:none;
				border-radius:6px;
				cursor:pointer;
				font-weight:bold;'></center>";

			echo '</table>';
			echo "<br><br><br>";

	}

	//============ datos inicializando
	$fec11x = $fec1;
	$fec22x = $fec2;
	$fec11 = substr($fec1,0,7);
	$fec22 = substr($fec2,0,7);
	$inicio=0; $tri=0; $salto=0; $anosx=0; $anos=0; $entrosueldo=0;
	$acumulado=0; $intereses=0; $tdias=0; $prestaciones=0;$interesganados=0;
	$cuantosmeses=0;

	//=============totalizar otras columnas
	$acumintpag=0;
	$acumanticp=0;

	//============ datos de sueldo
	$consulta=mysqli_query($enlace,"select sueldo from personal_sueldo where id='".$_SESSION['id_validar']."' and substring(fec,1,7)='".$fec11."' and codigo='".$cedula."'") or die (mysqli_error($enlace));
	$row=mysqli_fetch_array($consulta);
	if (mysqli_num_rows($consulta)!=0) $sueldo=$row['sueldo'];


		//===========Agregado para calcular el trimestre
	$fec11 = $fec1;
	$fec22 = $fec2;

	//====================== proceso de prestaciones
	//====================== proceso de prestaciones
		$_POST['tipo_salida']=2;
		include("proceso_prestaciones.php");
	//====================== proceso de prestaciones
	//====================== proceso de prestaciones
	/*
	echo "<tr bgcolor='#43bced'>";
		echo "<td colspan=3>&nbsp;</td>";
		echo "<td align=right>".number_format($tdias,0)."</td>";
		echo "<td colspan=5>&nbsp;</td>";
		echo "<td align=right>".number_format($prestaciones,2)."</td>";
		echo "<td align=right>".number_format($acumanticp,2)."</td>";
		echo "<td>&nbsp;</td>";

		echo "<td>&nbsp;</td>";
		echo "<td align=right>".number_format($interesganados,2)."</td>";
		echo "<td align=right>".number_format($acumintpag,2)."</td>";
	echo "</tr>";	*/

	echo "</table>";
	echo "<br><br><br><br>";
?>
<script>
		const selectElement = document.querySelector('#tipoSolicitud');
		selectElement.addEventListener('change', (event) => {
        

        if (event.target.value == "PRESTAMO" ){
         
			montoSolicitar.classList.remove("hidden");
			cuotas.classList.remove("hidden");
           
        }

		if (event.target.value == "PARCIAL" ){
         
		 montoSolicitar.classList.remove("hidden");
		 cuotas.classList.add("hidden");
		
	 	}	
	 	if (event.target.value == "RENUNCIA" ){
         
		 montoSolicitar.classList.add("hidden");
		 cuotas.classList.add("hidden");
		
	 	}



      });
	
</script>

	<style>

	.boton {
    border-radius: 8px;      /* Bordes redondeados */
    padding: 8px 16px;       /* Más espacio interno */
    border: none;            /* Quita el borde feo por defecto */
    cursor: pointer;         /* Mano al pasar */
    transition: 0.2s ease;   /* Animación suave */
	}

	.boton:hover {
	transform: scale(1.03);  /* Efecto sutil al pasar el mouse */
	}
</style>